package cn.yyxx.eyuangame.core.internal

import android.app.Activity
import android.app.Application
import android.content.Context
import cn.yyxx.eyuangame.base.entity.SdkEvent

/**
 * @author #Suyghur.
 * Created on 2021/06/17
 */
interface IEventObserver {

    fun onInitialize(application: Application)

    fun onLogin(context: Context)

    fun onRegister(context: Context)

    fun onCharge(context: Context, amount: Int)

    fun onRoleCreate(context: Context)

    fun onRoleLauncher(context: Context)

    fun onCreate(activity: Activity)

    fun onResume(activity: Activity)

    fun onPause(activity: Activity)

    fun onSdkEvent(context: Context, sdkEvent: SdkEvent)

    fun onExtEvent(context: Context, sdkEvent: SdkEvent)

}